Just because you can download the repositories does not mean the credentials are valid. You need to make sure you are downloading the *correct* repositories. My message has the necessary info.